View Issue Details

IDProjectCategoryView StatusLast Update
0001582SUMoBugpublic2012-08-20 23:23
ReporterpoutnikgAssigned ToKyle_Katarn 
PrioritynormalSeverityminorReproducibilityN/A
Status resolvedResolutionfixed 
PlatformWindowsOSWindows Vista 64OS VersionHome Premium SP2
Product Version3.1.2 
Target VersionFixed in Version3.4.3 
Summary0001582: SUMO does not detect 64bit Adobe Flash Player plugins
DescriptionSUMO currectly detect 32bit Adobe Flash Player plugins in sysWOW64\MacroMed folder, but does not detect 64bit counterparts in system32 folder.
Steps To ReproduceChecking the list
TagsNo tags attached.

Relationships

related to 0001662 resolvedKyle_Katarn Adobe Flash Player for IE/FF 64bits not detected 
child of 0001668 resolvedKyle_Katarn SUMo gets confused by file system redirector under Win x64 

Activities

Kyle_Katarn

2012-06-02 15:20

administrator   ~0000834

Please post the 2 complete path and indicate which one is missing.

poutnikg

2012-06-02 16:05

reporter   ~0000835

Last edited: 2012-06-03 02:03

View 2 revisions

SUMO detects 3 files in C:\windows\sysWOW64\Macromed\flash\

Adobe Flash Player for Internet Explorer
C:\windows\sysWOW64\Macromed\flash\Flash32_11_2_202_235.ocx

Flash Player Helper
C:\windows\sysWOW64\Macromed\flash\FlashUtil32_11_2_202_235_ActiveX.dll

Adobe Flash Player for Firefox
C:\windows\sysWOW64\Macromed\flash\NPSWF32_11_2_202_235.dll

In folder C:\windows\system32\Macromed\flash\
are the same files, but with 64 instead of 32 in filename, that SUMO does not detect.

C:\windows\system32\Macromed\flash\Flash64_11_2_202_235.ocx
C:\windows\system32\Macromed\flash\FlashUtil64_11_2_202_235_ActiveX.dll
C:\windows\system32\Macromed\flash\NPSWF64_11_2_202_235.dll

I suppose exact filenames will be version number specific.

poutnikg

2012-06-02 16:21

reporter   ~0000837

Last edited: 2012-06-04 07:44

View 2 revisions

There is occuring the same mutually 32/64 file excluding issue,
as described for java and previously Virtualdub.

By manually adding of 64b file the 32b one is replaced by it and vice versa.

poutnikg

2012-06-03 09:25

reporter   ~0000839

So SUMO may take by file properties the files as the same
and the item gets values for one of files instances ( last scanned ? ).

It can be general issue for multiple 64/32b files.

poutnikg

2012-08-07 13:25

reporter   ~0001036

Now it is for me the exact opposite:
SUMO detects only my 64bit Adobe flash plugins, but not 32bit.

Kyle_Katarn

2012-08-20 23:23

administrator   ~0001159

Would you please download test build 171 ( http://www.kcsoftwares.com/beta/sumo_sysnative.exe ) and tell me if it improved the situation ?

Issue History

Date Modified Username Field Change
2012-06-02 11:55 poutnikg New Issue
2012-06-02 15:20 Kyle_Katarn Assigned To => Kyle_Katarn
2012-06-02 15:20 Kyle_Katarn Status new => acknowledged
2012-06-02 15:20 Kyle_Katarn Note Added: 0000834
2012-06-02 15:20 Kyle_Katarn Status acknowledged => feedback
2012-06-02 16:05 poutnikg Note Added: 0000835
2012-06-02 16:05 poutnikg Status feedback => assigned
2012-06-02 16:21 poutnikg Note Added: 0000837
2012-06-03 02:03 poutnikg Note Edited: 0000835 View Revisions
2012-06-03 09:25 poutnikg Note Added: 0000839
2012-06-04 07:44 poutnikg Note Edited: 0000837 View Revisions
2012-08-07 13:25 poutnikg Note Added: 0001036
2012-08-07 21:59 Kyle_Katarn Relationship added related to 0001662
2012-08-08 20:04 bytehead Relationship added child of 0001668
2012-08-17 01:46 Kyle_Katarn Status assigned => resolved
2012-08-17 01:46 Kyle_Katarn Fixed in Version => 3.4.3
2012-08-17 01:46 Kyle_Katarn Resolution open => fixed
2012-08-20 23:23 Kyle_Katarn Note Added: 0001159